%global realname wings
%global upstream dgud
%global git_tag 9a2473e
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}
%{expand: %(NIF_VER=`rpm -q erlang-erts --provides | grep --color=no erl_nif_version` ; if [ "$NIF_VER" != "" ]; then echo %%global __erlang_nif_version $NIF_VER ; fi)}
%{expand: %(DRV_VER=`rpm -q erlang-erts --provides | grep --color=no erl_drv_version` ; if [ "$DRV_VER" != "" ]; then echo %%global __erlang_drv_version $DRV_VER ; fi)}


%global wingsdir $RPM_BUILD_ROOT%{_libdir}/erlang/lib/%{name}-%{version}
%global esdldir `%{_libdir}/erlang/bin/erl -noshell -eval 'io:format("~s", [code:lib_dir(esdl)]), halt().'`


Name:           wings
Version:        1.4.1
Release:        6.git%{git_tag}%{?dist}
Summary:        3D Subdivision Modeler

Group:          Applications/Multimedia
License:        MIT
URL:            http://www.wings3d.com
# wget --content-disposition https://github.com/dgud/wings/tarball/9a2473e
Source0:	%{upstream}-%{realname}-%{git_tag}.tar.gz
Source1:	http://prdownloads.sourceforge.net/wings/wings3d_manual1.6.1.pdf
Source2:	wings.sh
Source3:	wings.png
Source4:	wings.desktop
# Fedora/EPEL specific patch
# No erlang-cl for now - see https://github.com/tonyrog/cl
Patch1:		wings-0001-No-Erlang-OpenCL-support-for-now.patch
# backported from upstream
Patch2:		wings-0002-No-such-function-lists-delete_nth-2.patch
# Will be proposed for inclusion to upstream
Patch3:		wings-0003-Fix-SDL-includes.patch
# backported from upstream
Patch4:		wings-0004-Simplify-font-handling-and-stop-using-parameterized-.patch
# Fedora/EPEL specific patch
Patch5:		wings-0005-Don-t-try-to-build-installer.patch
# Fedora/EPEL specific patch
Patch6:		wings-0006-Respect-CFLAGS.patch
BuildRequires:	erlang
BuildRequires:	erlang-esdl
BuildRequires:	libGL-devel
BuildRequires:	libGLU-devel
BuildRequires:  desktop-file-utils
BuildRequires:	libjpeg-devel

Provides:       wings-povray = %{version}-%{release}
Obsoletes:      wings-povray

Requires:	erlang-dialyzer%{?_isa}
Requires:	erlang-erts%{?_isa}
Requires:	erlang-esdl%{?_isa}
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}
Requires:	erlang-tools%{?_isa}
Requires:	erlang-wx%{?_isa}
%{?__erlang_drv_version:Requires: %{__erlang_drv_version}}


%description
Wings 3D is a subdivision modeler with an user interface that is easy
to use for both beginners and advanced users (inspired by Nendo and
Mirai from Izware).


%package docs
Group:		Applications/Multimedia
Summary:	Documentation for Wings 3D


%description docs
Documentation for Wings 3D.


%prep
%setup -q -n %{upstream}-%{name}-%{git_tag}
cp %{SOURCE1} .
cp %{SOURCE2} .
cp %{SOURCE4} .
sed -i -e "s,%LIBDIR%,%{_libdir},g" wings.sh
%patch1 -p1 -b .no_opencl
%patch2 -p1 -b .no_lists_delete_nth
%patch3 -p1 -b .fix_SDL_includes
%patch4 -p1 -b .R16B
%patch5 -p1 -b .no_installer
%patch6 -p1 -b .respect_cflags
# Add version info
echo %{version}.git%{git_tag} > ./version


%build
# %%{?_smp_mflags} breaks the build
CFLAGS="%{optflags}" ESDL_PATH="%{esdldir}" make unix


%install
# Install the wings binaries
mkdir -p %{wingsdir}/plugins/default
cp -rf ebin %{wingsdir}
cp -rf fonts %{wingsdir}
cp -rf textures %{wingsdir}
cp -rf shaders %{wingsdir}
cp -rf plugins/* %{wingsdir}/plugins/default
cp -rf fonts %{wingsdir}
cp intl_tools/tools.beam %{wingsdir}/ebin

# see - https://bugzilla.redhat.com/664148
rm -f %{wingsdir}/ebin/user_default.beam

find $RPM_BUILD_ROOT -name 'README' | xargs rm -f
find $RPM_BUILD_ROOT -name '*.txt' | xargs chmod 0644
find $RPM_BUILD_ROOT -name '*.auv' | xargs chmod 0644
find $RPM_BUILD_ROOT -name '*.fs' | xargs chmod 0644
find $RPM_BUILD_ROOT -name '*.vs' | xargs chmod 0644

# Install main startup script
install -D -p -m 0755 wings.sh $RPM_BUILD_ROOT%{_bindir}/wings

# Install icon
install -D -p -m 0644 %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/pixmaps/wings.png

# Install desktop entry
desktop-file-install  \
    --add-category Graphics \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    wings.desktop


%files
%{_bindir}/wings
%{_libdir}/erlang/lib/%{name}-%{version}
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%doc AUTHORS NOTES-1.0 NOTES-1.1 NOTES-1.2 NOTES-1.3 NOTES-1.4 NOTES-1.4.1 OLD-NOTES README README.jp license.terms


%files docs
%doc wings3d_manual1.6.1.pdf


%changelog
* Fri Mar 22 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.4.1-6.git9a2473e
- Actually remove user_default.beam file from distribution (see rhbz #664148).

* Fri Mar 22 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.4.1-5.git9a2473e
- Added localizations (closes rhbz #698630).
- Added requires on Erlang driver's API version
- Remove user_defaults.beam file from distribution (see rhbz #664148).

* Fri Mar 15 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.4.1-4.git9a2473e
- Fixed missing function
- Cleaned up spec-file

* Sat Feb 09 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.4.1-3.git9a2473e
- Remove vendor tag from desktop file as per https://fedorahosted.org/fesco/ticket/1077
- Cleanup spec as per recently changed packaging guidelines

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-2.git9a2473e
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu May 10 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.4.1-1.git9a2473e
- Ver. 1.4.1.git9a2473e (post-release shapshot for 1.4.1)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec  9 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-3
- Explicitly use erl installed into /usr/bin

* Tue Nov 16 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-2
- Drop erlang-wx dependency
- Fixed startup failure (rhbz #653720)

* Mon Jul 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 1.2.0-1
- Ver. 1.2.0
- Docs subpackage no longer requires main package

* Tue Aug 11 2009 Gerard Milmeister <gemi@bluewin.ch> - 1.0.1-1
- new release 1.0.1

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.99.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Oct 30 2008 Gerard Milmeister <gemi@bluewin.ch> - 0.99.05-2
- new release 0.99.05

* Sat Sep  6 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.99.02-2
- fix license tag

* Thu Mar 27 2008 Gerard Milmeister <gemi@bluewin.ch> - 0.99.02-1
- new releae 0.99.02

* Sun Apr  8 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.98.36-1
- new version 0.98.36

* Thu Feb 15 2007 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-11
- add optflags (bugzilla 228925)

* Sun Dec 10 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-10
- split off povray plug-in

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-9
- Rebuild for FE6

* Wed Jun  7 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-8
- revert to use erlang R10B

* Thu May 18 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-7
- rebuilt for erlang R11B

* Thu Apr 27 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-5
- split off docs package

* Tue Apr 25 2006 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-3
- build against erlang-esdl-devel

* Sun Dec 18 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.98.32b-1
- New Version 0.98.32b

* Sun Mar  6 2005 Gerard Milmeister <gemi@bluewin.ch> - 0.98.27b-1
- New Version 0.98.27b

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - 0:0.98.27a-1
- New Version 0.98.27a

* Mon Dec 27 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.98.26-0.fdr.1.b
- New Version 0.98.26b

* Sat Jul 17 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.98.24-0.fdr.1
- New Version 0.98.24

* Fri Jun  4 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.98.23a-0.fdr.1
- New Version 0.98.23a

* Thu May  6 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.98.22c-0.fdr.1
- New Version 0.98.22c

* Sun Apr 11 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:0.98.20c-0.fdr.1
- First Fedora release
